al_get_path_num_components(3)

NAME

al_get_path_num_components - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    int al_get_path_num_components(const ALLEGRO_PATH *path)

DESCRIPTION

Return the number of directory components in a path.

The directory components do not include the final part of a path (the filename).

SEE ALSO

al_get_path_component(3)